// megauploader is a very opinionated uploader. It is focused on very simple authorization schemes and the
// idea of multiple "shares". A share is basically a directory where users can put things. Each share can list
// authorized users (wildcards supported).
//
// There's also some support for "dynamic" share. MegaUploader has a native concept of user "home": a
// directory that is dynamically calculated for each user. There are both global settings and possibility of
// overriding dynamic calculation
//
// Upload is supported, while view is not. MegaUploader relies on a separate "file browse" URL.
//
// Security
//
// Absolutely do *not* expose it publicly; in fact, for authentication it relies on a proxy that will
// set the X-Forwarded-User accordingly. This is nice if you want to reuse your webserver authentication
// modules without rewriting them for this application
// Requests that do not have X-Forwarded-User are an error; configure your webserver properly to avoid that a
// malicious user can forge that header!
package megauploader
